<?php

namespace App\Filament\Resources\CashRecords\Pages;

use App\Filament\Resources\CashRecords\CashRecordResource;
use App\Filament\Widgets\CashStatsWidget;
use Filament\Actions\CreateAction;
use Filament\Resources\Pages\ListRecords;

class ListCashRecords extends ListRecords
{
    protected static string $resource = CashRecordResource::class;

    protected function getHeaderActions(): array
    {
        return [CreateAction::make()];
    }

    protected function getHeaderWidgets(): array
    {
        return [CashStatsWidget::class];
    }
}
